// Note: This automatic widget to dialog window binding (the fact that every field is set up from the widget
// and is committed to the widget) is only possible when the dialog is opened by the Widgets System
// (i.e. the widgetDef.dialog property is set).
// When you are opening the dialog window by yourself, you need to take care of this by yourself too.

CKEDITOR.dialog.add( 'contentTable', function( editor ) {
	return {
		title: 'Conten Table',
		minWidth: 200,
		minHeight: 100,
		contents: [
			{
				id: 'info',
				elements: [
					{
						id: 'rows',
						type: 'text',
						label: 'Rows',
						width: '50px',
						// When setting up this field, set its value to the "align" value from widget data.
						// Note: Align values used in the widget need to be the same as those defined in the "items" array above.
						setup: function( widget ) {
							this.setValue( widget.data.rows );
						},
						// When committing (saving) this field, set its value to the widget data.
						commit: function( widget ) {
							widget.setData( 'rows', this.getValue() );
						}
					},
					{
						id: 'columns',
						type: 'text',
						label: 'Columns',
						width: '50px',
						setup: function( widget ) {
							this.setValue( widget.data.columns );
						},
						commit: function( widget ) {
							widget.setData( 'columns', this.getValue() );
						}
					}
				]
			}
		]
	};
} );